package main

import (
	"gex/app"

	"gex/pkg/gex"
	"gex/pkg/utils"
)

func main() {
	// check cli arguments are set and correct
	utils.CheckArgs()

	app.Init()

	gex.InitRouter()

	app.Middleware()
	app.Routes()

	gex.StartServer()

}
